#if UNITY_EDITOR

using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEditor;

[CustomEditor(typeof(UICommon),true)]
public class UICommonPanInspector : Editor
{

    public override void OnInspectorGUI()
    {
        base.OnInspectorGUI();

        UICommon _this = this.target as UICommon;

        if (GUILayout.Button("Show"))
        {
            _this.FadeInAnim();
        }
        if (GUILayout.Button("Hide"))
        {
            _this.FadeOut();
        }
    }
}

#endif